import { Plugin } from '../Plugin';
import { BabelRC } from '../utils/babelrc';
export interface Argv {
    base: string;
    src: string;
    files: string;
    dest: string;
    debug: boolean;
    typescript: boolean;
    propsParser: boolean;
    protocol: string;
    host: string;
    port: number;
    websocketPort: number;
    websocketHost: string;
    title: string;
    description: string;
    theme: string;
    ordering: 'ascending' | 'descending';
    wrapper?: string;
    indexHtml?: string;
}
export interface ThemeConfig {
    [key: string]: any;
}
export interface Config extends Argv {
    hashRouter: boolean;
    plugins: Plugin[];
    mdPlugins: any[];
    hastPlugins: any[];
    themeConfig: ThemeConfig;
    modifyBundlerConfig<C>(config: C, dev: boolean): C;
    modifyBabelRc(babelrc: BabelRC): BabelRC;
}
export declare const args: (yargs: any) => void;
